Skip to main content

Create Listing: Entrata

POSThttps://api.propexo.com/v1/listings/entrata/
Method
propertyunits/sendPropertyUnits
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    lease_period_idstringrequired

    The Propexo unique identifier for the lease period

    floor_plan_idstringrequired

    The Propexo unique identifier for the floor plan

    unit_type_idstringrequired

    The Propexo unique identifier for the unit type

    amenity_idsstring[]

    The Propexo unique identifier for the amenity

    Default value: []
    bathroomsinteger

    The number of bathrooms associated with the listing

    bedroomsinteger

    The number of bedrooms associated with the listing

    citystringrequired

    The city associated with the listing

    countrystringrequired

    The country associated with the listing

    date_availablestringrequired

    The date that the listing becomes available

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    is_furnishedboolean

    Whether the listing is furnished

    numberstringrequired

    The unit number

    square_feetnumber

    The square footage of the listing

    statestringrequired

    The state associated with the listing

    street_address_1stringrequired

    The first address line associated with the listing

    street_address_2string

    The second address line associated with the listing

    zipstringrequired

    The zip code associated with the listing

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    lease_period_idstringrequired

    The Propexo unique identifier for the lease period

    floor_plan_idstringrequired

    The Propexo unique identifier for the floor plan

    unit_type_idstringrequired

    The Propexo unique identifier for the unit type

    amenity_idsstring[]

    The Propexo unique identifier for the amenity

    Default value: []
    bathroomsinteger | nullnullablerequired

    The number of bathrooms associated with the listing

    bedroomsinteger | nullnullablerequired

    The number of bedrooms associated with the listing

    citystringrequired

    The city associated with the listing

    countrystringrequired

    The country associated with the listing

    date_availablestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    is_furnishedboolean | nullnullablerequired

    Whether the listing is furnished

    numberstringrequired

    The unit number

    square_feetnumber | nullnullablerequired

    The square footage of the listing

    statestringrequired

    The state associated with the listing

    street_address_1stringrequired

    The first address line associated with the listing

    street_address_2string | nullnullablerequired

    The second address line associated with the listing

    zipstringrequired

    The zip code associated with the listing

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/listings/entrata/
curl -X POST https://api.propexo.com/v1/listings/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"lease_period_id": "string",
"floor_plan_id": "string",
"unit_type_id": "string",
"city": "string",
"country": "string",
"date_available": "2024-07-29T15:51:28.071Z",
"number": "string",
"state": "string",
"street_address_1": "string",
"zip": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"lease_period_id": "string",
"floor_plan_id": "string",
"unit_type_id": "string",
"amenity_ids": [
"string"
],
"bathrooms": 0,
"bedrooms": 0,
"city": "string",
"country": "string",
"date_available": "2024-07-29T15:51:28.071Z",
"is_furnished": true,
"number": "string",
"square_feet": 0,
"state": "string",
"street_address_1": "string",
"street_address_2": "string",
"zip": "string"
}
}